# KeyConfigurations(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``KeyConfigurations`(bpy_struct)

  Collection of KeyConfigs

  `active`

    Active key configuration (preset)

    Type: | `KeyConfig`

  `addon`

    Key configuration that can be extended by addons, and is added to the active configuration when handling events

    Type: | `KeyConfig`, (readonly)

  `default`

    Default builtin key configuration

    Type: | `KeyConfig`, (readonly)

  `user`

    Final key configuration that combines keymaps from the active and addon configurations, and can be edited by the user

    Type: | `KeyConfig`, (readonly)

  `new`(name)

    new

    Parameters: | name (string, (never None)) – Name
    Returns: | Key Configuration, Added key configuration
    Return type: | `KeyConfig`

  `remove`(keyconfig)

    remove

    Parameters: | keyconfig (`KeyConfig`, (never None)) – Key Configuration, Removed key configuration

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`WindowManager.keyconfigs` |